Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update File

Updates file metadata (title, type, visibility) and optionally replaces the file content in storage. If the file content is updated, the old file is replaced in Cloudflare R2. Triggers product update events for all items using this file. Deprecated: use PATCH /api/v2/{team_slug}/{app_slug}/dam/files instead.

PATCH/api/v1/{team_slug}/{app_slug}/files/{file_id}deprecated
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

file_idstringrequired

File ID

Request body
application/x-www-form-urlencoded
titlestring

File title

typestring

File type

fileany

File file to upload

Responses
200

File updated successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Filerequired
Show properties
attributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
created_atstring
descriptionstring | null
filterableboolean | null
idstring
keystring
namestring | null
template_keystring
template_namestring
translatableboolean | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
Show properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
updated_atstring | null
valuesobject | null
created_atstring
folder_idstring
idstring
publicboolean
titlestring | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.FileTranslation
Show properties
titlegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
typegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
typestring | null
updated_atstring | null
urlstring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
404

File not found

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/x-www-form-urlencoded
Request
curl -X PATCH 'https://api.enad.io/api/v1/string/string/files/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -d 'title=string&type=string&file=null'
Response
{
  "data": {
    "attributes": [
      {
        "created_at": "string",
        "description": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "template_key": "string",
        "template_name": "string",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "values": {
          "property1": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          },
          "property2": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          }
        }
      }
    ],
    "created_at": "string",
    "folder_id": "string",
    "id": "string",
    "public": true,
    "title": "string",
    "translations": {
      "title": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "type": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "type": "string",
    "updated_at": "string",
    "url": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}